#
# spec file for package pantheon-calculator
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pantheon-calculator
Version:        0.1.2
Release:        1.4
Summary:        An elementary app for simple calculation
License:        GPL-3.0
Group:          Productivity/Scientific/Math
Url:            https://launchpad.net/pantheon-calculator
Source:         https://launchpad.net/pantheon-calculator/0.4-loki/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.26.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
A tiny, simple calculator written in GTK+ and Vala.

%lang_package

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r -G "Simple Calculator" org.pantheon.calculator GTK Utility Calculator
%fdupes %{buildroot}%{_datadir}/locale

%find_lang %{name}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.pantheon.calculator.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.calculator.gschema.xml
%{_datadir}/appdata/org.pantheon.calculator.appdata.xml
%dir %{_datadir}/appdata

%files lang -f %{name}.lang

%changelog
* Fri Jan 20 2017 avvissu@yandex.by
- Update to 0.1.2:
  * Launchpad automatic translations update.
  * Fix multiple calculators being always displaying the same
    content as others
  * Ctrl+Q for quitting, remember window position.
  * Set basic grid alignment to FILL
  * Vertically center and expand the entry
* Sat Sep 10 2016 mailaender@opensuse.org
- update to version 0.1.1
* Tue Sep  1 2015 and.november@opensuse.org
- initial package (version 0.1.0) for build.opensuse.org
